bonobo-property-control
3
LIBBONOBOUI Library

# bonobo-property-control

## Synopsis

                        BonoboPropertyControl;
                        BonoboPropertyControlPrivate;
    #define             BONOBO_PROPERTY_CONTROL_CHANGED
    BonoboControl *     (*BonoboPropertyControlGetControlFn)
                                                            (BonoboPropertyControl *control,
                                                             int page_number,
                                                             void *closure);
                        BonoboPropertyControlClass;
    BonoboPropertyControl * bonobo_property_control_construct
                                                            (BonoboPropertyControl *property_control,
                                                             BonoboEventSource *event_source,
                                                             BonoboPropertyControlGetControlFn get_fn,
                                                             int num_pages,
                                                             void *closure);
    BonoboPropertyControl * bonobo_property_control_new_full
                                                            (BonoboPropertyControlGetControlFn get_fn,
                                                             int num_pages,
                                                             BonoboEventSource *event_source,
                                                             void *closure);
    BonoboPropertyControl * bonobo_property_control_new     (BonoboPropertyControlGetControlFn get_fn,
                                                             int num_pages,
                                                             void *closure);
    void                bonobo_property_control_changed     (BonoboPropertyControl *property_control,
                                                             CORBA_Environment *opt_ev);
    BonoboEventSource * bonobo_property_control_get_event_source
                                                            (BonoboPropertyControl *property_control);

## Object Hierarchy

      GObject
       +----BonoboObject
             +----BonoboPropertyControl

## Signals

      "action"                                         : Run First

## Description

## Details

### BonoboPropertyControl

    typedef struct _BonoboPropertyControl BonoboPropertyControl;

### BonoboPropertyControlPrivate

    typedef struct _BonoboPropertyControlPrivate BonoboPropertyControlPrivate;

### BONOBO_PROPERTY_CONTROL_CHANGED

    #define BONOBO_PROPERTY_CONTROL_CHANGED "Bonobo::PropertyControl_changed"

### BonoboPropertyControlGetControlFn ()

    BonoboControl *     (*BonoboPropertyControlGetControlFn)
                                                            (BonoboPropertyControl *control,
                                                             int page_number,
                                                             void *closure);

`control` :

`page_number` :

`closure` :

Returns :

### BonoboPropertyControlClass

    typedef struct {
    	BonoboObjectClass parent_class;

    	POA_Bonobo_PropertyControl__epv epv;

    	gpointer dummy[4];

    	void (* action) (BonoboPropertyControl *property_control,
    			 Bonobo_PropertyControl_Action action);
    } BonoboPropertyControlClass;

### bonobo_property_control_construct ()

    BonoboPropertyControl * bonobo_property_control_construct
                                                            (BonoboPropertyControl *property_control,
                                                             BonoboEventSource *event_source,
                                                             BonoboPropertyControlGetControlFn get_fn,
                                                             int num_pages,
                                                             void *closure);

Initialises the BonoboPropertyControl object.

`property_control` :

  A BonoboPropertyControl object.

`event_source` :

  A BonoboEventSource object that will be aggregated onto the property control.

`get_fn` :

  Creation routine.

`num_pages` :

`closure` :

  Data passed to closure routine.

Returns :

  The newly constructed BonoboPropertyControl.

### bonobo_property_control_new_full ()

    BonoboPropertyControl * bonobo_property_control_new_full
                                                            (BonoboPropertyControlGetControlFn get_fn,
                                                             int num_pages,
                                                             BonoboEventSource *event_source,
                                                             void *closure);

Creates a BonoboPropertyControl object.

`get_fn` :

  The function to be called when the getControl method is called.

`num_pages` :

  The number of pages this property control has.

`event_source` :

  The event source to use to emit events on.

`closure` :

  The data to be passed into the `get_fn` routine.

Returns :

  A pointer to a newly created BonoboPropertyControl object.

### bonobo_property_control_new ()

    BonoboPropertyControl * bonobo_property_control_new     (BonoboPropertyControlGetControlFn get_fn,
                                                             int num_pages,
                                                             void *closure);

Creates a BonoboPropertyControl object.

`get_fn` :

  The function to be called when the getControl method is called.

`num_pages` :

  The number of pages this property control has.

`closure` :

  The data to be passed into the `get_fn` routine

Returns :

  A pointer to a newly created BonoboPropertyControl object.

### bonobo_property_control_changed ()

    void                bonobo_property_control_changed     (BonoboPropertyControl *property_control,
                                                             CORBA_Environment *opt_ev);

Tells the server that a value in the property control has been changed, and that it should indicate this somehow.

`property_control` :

  The BonoboPropertyControl that has changed.

`opt_ev` :

  An optional CORBA_Environment for exception handling.

### bonobo_property_control_get_event_source ()

    BonoboEventSource * bonobo_property_control_get_event_source
                                                            (BonoboPropertyControl *property_control);

Returns the BonoboEventSource that `property_control` uses.

`property_control` :

  The BonoboPropertyControl.

Returns :

  A BonoboEventSource.

## Signal Details

### The `"action"` signal

    void                user_function                      (BonoboPropertyControl *bonobopropertycontrol,
                                                            gint                   arg1,
                                                            gint                   arg2,
                                                            gpointer               user_data)                  : Run First

`bonobopropertycontrol` :

  the object which received the signal.

`arg1` :

`arg2` :

`user_data` :

  user data set when the signal handler was connected.